=== debian/changelog ===
openvas-cli (1.4.5-2) unstable; urgency=medium

  * Team upload
  * Update team maintainer address to Debian Security Tools
    <team+pkg-security@tracker.debian.org>
  * Update Vcs-Git and Vcs-Browser for the move to salsa.debian.org
  * Switch to debhelper compat level 11
  * Bump Standards-Version to 4.1.5
  * Change priority from extra to optional

 -- Raphaël Hertzog <hertzog@debian.org>  Tue, 10 Jul 2018 16:32:31 +0200

openvas-cli (1.4.5-1) unstable; urgency=medium

  * Import new upstream release

 -- SZ Lin (林上智) <szlin@cs.nctu.edu.tw>  Mon, 14 Nov 2016 11:08:34 +0800

openvas-cli (1.4.4-1) unstable; urgency=medium

  * Import upstream version to Debian (Closes: #840083)

 -- SZ Lin (林上智) <szlin@cs.nctu.edu.tw>  Sat, 08 Oct 2016 23:00:47 +0800

openvas-cli (1.4.4-0kali1) kali-experimental; urgency=medium

  * Import new upstream release

 -- Sophie Brun <sophie@freexian.com>  Wed, 22 Jun 2016 11:38:54 +0200

openvas-cli (1.4.2-0kali1) kali-dev; urgency=medium

  * Import new upstream release
  * Upgrade minimal required version of libopenvas-dev

 -- Sophie Brun <sophie@freexian.com>  Thu, 10 Sep 2015 16:26:13 +0200

openvas-cli (1.4.0-0kali1) kali; urgency=medium

  * Import new upstream release
  * Update build dependencies
  * Update debian/copyright

 -- Sophie Brun <sophie@freexian.com>  Fri, 10 Apr 2015 12:00:27 +0200

openvas-cli (1.3.0-0kali3) kali-dev; urgency=medium

  * Rebuild in kali-dev for gnutls28 + libgcrypt11 transition.

 -- Raphaël Hertzog <hertzog@debian.org>  Fri, 21 Nov 2014 18:42:22 +0100

openvas-cli (1.3.0-0kali2) kali; urgency=medium

  * Add dh_install --list-missing in debian/rules
  * Correct the openvas-cli.install: drop directory check_nagios
  * Drop priority on openvas-cli-dbg as redundant with priority on source
    package

 -- Sophie Brun <sophie@freexian.com>  Fri, 01 Aug 2014 14:24:02 +0200

openvas-cli (1.3.0-0kali1) kali; urgency=medium

  [ Sophie Brun ]
  * New upstream release. 
  * Add files debian/copyright and debian/source/format
  * Update debian/rules to use debhelper 9
  * Create files .manpages, .docs, . install (to use debhelper 9)

  [ Raphaël Hertzog ]
  * Drop cdbs from Build-Depends, no longer needed.

 -- Sophie Brun <sophie@freexian.com>  Fri, 01 Aug 2014 11:00:06 +0200

openvas-cli (1.2.0-0kali1) kali; urgency=low

  * New upstream release.
  * Update build dependencies and install new files.

 -- Raphaël Hertzog <hertzog@debian.org>  Thu, 02 May 2013 14:27:52 +0200

openvas-cli (1.1.5-1kali0) kali; urgency=low

  * Version update

 -- Mati Aharoni <muts@kali.org>  Tue, 04 Dec 2012 12:46:46 -0500

openvas-cli (1.1.5-1) unstable; urgency=low

  * New upstream release.
    - Clean up CMake infrastructure and ensure that compilation with modern
      gccs works.
    - If the OMP version is unknown just treat it like version 3.0, as later
      versions may still work with the 3.0 settings.

 -- Stephan Kleine <bitshuffler@opensuse.org>  Fri, 10 Aug 2011 23:39:51 +0200

openvas-cli (1.1.4-1) unstable; urgency=low

  * New upstream release.
    - Support for OMP 3.0 when retrieving reports has been added.

 -- Stephan Kleine <bitshuffler@opensuse.org>  Tue, 06 Dec 2011 21:49:59 +0100

openvas-cli (1.1.3-1) unstable; urgency=low

  * New upstream release.
    - The "omp" command now accepts XML input from stdin when using the "-X"
      parameter.

 -- Stephan Kleine <bitshuffler@opensuse.org>  Sun, 16 Oct 2011 14:09:19 +0200

openvas-cli (1.1.2-1) unstable; urgency=low

  * New upstream release.
    - The build environment has been consolidated.
    - The documentation for the password parameter on the man page has been
      corrected.

 -- Stephan Kleine <bitshuffler@opensuse.org>  Wed, 23 Feb 2011 20:49:31 +0100

openvas-cli (1.1.1-1) unstable; urgency=low

  * New upstream release.
    - Hardening flags are now enabled during compile time to increase code quality.
    - The output of --version is now compliant with the GNU Coding Standards.
    - The omp binary now warns about revealing passwords when verbose output is
      requested.
    - OpenVAS CLI now use pkg-config to find required libraries.
    - OpenVAS CLI now provides a manual page for the omp binary.
    - The authentication password can now be entered interactively.

 -- Stephan Kleine <bitshuffler@opensuse.org>  Fri, 04 Feb 2011 21:53:44 +0100

openvas-cli (1.1.0-1) unstable; urgency=low

  * New upstream release.
    - New parameter: --get-configs for retrieving a list of scan configs.
    - New parameter: --get-targets for retrieving a list of targets.
    - Special characters in OMP commands (like umlauts) are now handled correctly.
    - The documentation has been improved; source code documentation can now be
      generated using the "make doc" and "make doc-full" commands.
    - Compatibility with different OMP versions has been improved.
    - New parameter: --get-report-formats for retrieving the available report
      formats (OMP 2.0 only).
    - New parameter: --get-omp-version for determining the OMP version used by the
      server.

 -- Stephan Kleine <bitshuffler@opensuse.org>  Fri, 03 Dec 2010 19:08:38 +0100

openvas-cli (1.0.1-1) unstable; urgency=low

  * New upstream release.
    - Special characters in OMP commands (like umlauts) are now handled correctly.
    - The documentation has been improved; source code documentation can now be
      generated using the "make doc" and "make doc-full" commands.

 -- Stephan Kleine <bitshuffler@opensuse.org>  Thu, 28 Oct 2010 18:53:26 +0200

openvas-cli (1.0.0-1) unstable; urgency=low

  * New upstream release.
    - The build environment and the code have been cleaned up and made more
      consistent with the other OpenVAS modules.
    - The documentation has been updated.

 -- Stephan Kleine <bitshuffler@opensuse.org>  Wed, 04 Aug 2010 16:01:26 +0200

openvas-cli (0.2.0-1) unstable; urgency=low

  * New upstream release.

