=== debian/control ===
Source: openvas-cli
Section: net
Priority: optional
Maintainer: Debian Security Tools <team+pkg-security@tracker.debian.org>
Uploaders: Stephan Kleine <bitshuffler@opensuse.org>,
           ChangZhuo Chen (陳昌倬) <czchen@debian.org>,
           SZ Lin (林上智) <szlin@cs.nctu.edu.tw>
Build-Depends: debhelper (>= 11),
               cmake (>= 2.8),
               libopenvas-dev (>= 8.0.4),
               pkg-config
Standards-Version: 4.1.5
Homepage: http://www.openvas.org/
Vcs-Git: https://salsa.debian.org/pkg-security-team/openvas-cli.git
Vcs-Browser: https://salsa.debian.org/pkg-security-team/openvas-cli

Package: openvas-cli
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Command Line Tools for OpenVAS
 OpenVAS-CLI collects command line tools
 to handle with the OpenVAS services via the respective
 protocols.
